Subject: Re: brcm80211 breakage..

From: "Henrik Rydberg" <[email-masked]>
Date: Tue, 31 Jan 2012 23:23:11 +0100

> > The brcmsmac driver is now using the bcma SPROM logic, which does not
> > recognize all chipsets that were functional prior to the switch. In
> > particular, the current code bails out on odd CRC errors in recent
> > Macbooks. This patch ignores those errors, with the argument that an
> > unrecognized SPROM should be treated similarly to a non-existing one.
> >
> 
> Not entirely correct. BCMA sprom logic is currently not used by
> brcmsmac, but it sure (as hell) makes sense to do so. Currently, the
> bcma SPROM logic is used in SoC chipsets (bcm47xx) and the b43 driver.

Let's change that to "bcma SPROM CRC check", then. With -rc2 just out, I
take it the patch will appear in -rc3?

Thanks,
Henrik